# Python Class - Create Biosensor and Travel Phylogeny of life 


## Discription 
**Create Biosensor and Travel Phylogeny of life -** Python Class for Making DNA-Sensors by Travelling through Phylogeny of life includes Searching, Traversing, Making phylogeny Graph, Downloading Genomic Data using ftp and Creating K-mers manually to find unique Dna Fragment for target node to accelerate development project of Biosensors in BioInformatics.
Extremely easy to learn and use, friendly construction.

### Python version - `2.7.15 `
## Dependencies 

- Networkx
- Biopython
- Pandas
- Sqlite3 


## Usage

```python

pip install networkx
pip install biopython
pip install pandas

```


```console

sudo apt-get install sqlite3

```
then, Run main.py

```
python main.py
```

## Setup

- `Setup Python version == 2.7.15`
- Clone repository `git clone https://github.com/DBT-BIF/Biosensor-Python.git `
- Install depndencies using pip : Networkx, Biopython, Pandas
- Install sqlite3 ( DB browser for SQLite)
- Unzip files in `data` folder
- Create two empty folders and name them as : path_travelled, kmer_folder 
- finally run `main.py`


## Statistic Plot -
![sensor plot](https://github.com/DBT-BIF/Biosensor-Python/blob/master/plot-sensor.png)





## License


MIT License

Copyright (c) 2018 Bioinformatics Infrastructure Facility

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.





## Contributors 

- [Rakesh sharma](https://github.com/rakesh691)
- [Bharat Purohit](https://github.com/bharatpurohit97)



## Future Scope - 
will be adding support for pyhton 3 in upcoming version.





